Mailinglist Archive: opensuse-factory (602 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20190217 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20190217

Please do not reply to this email to report issues, rather file a bug
on bugzilla.opensuse.org. For more information on filing bugs please
see https://en.opensuse.org/openSUSE:Submitting_bug_reports

Packages changed:
NetworkManager
PackageKit
grub2
hwdata
libgnomekbd (3.26.0 -> 3.26.1)
makedumpfile (1.6.4 -> 1.6.5)
python-paramiko
yast2-storage-ng (4.1.53 -> 4.1.59)

=== Details ===

==== NetworkManager ====
Subpackages: NetworkManager-lang libnm0 typelib-1_0-NM-1_0

- Add NM-add-wifi-scan-polkit-rule.patch: Adding a new polkit
action "org.freedesktop.NetworkManager.wifi-scan" so that
distributions can add specific rule to allow Wi-Fi scans
(bsc#1122262, glfo#NetworkManager/NetworkManager!68).

==== PackageKit ====
Subpackages: PackageKit-backend-zypp PackageKit-gstreamer-plugin
PackageKit-gtk3-module PackageKit-lang libpackagekit-glib2-18
typelib-1_0-PackageKitGlib-1_0

- Add zypp-Switch-to-doUpgrade-solver-when-required-by-distribution.patch
so Tumbleweed can properly update

==== grub2 ====
Subpackages: grub2-i386-pc grub2-snapper-plugin grub2-systemd-sleep-plugin
grub2-x86_64-efi grub2-x86_64-xen

- Create compatibility sym-link of grub.xen in the old location to which
old VM definition is pointing (bsc#1123942)

==== hwdata ====

- Replace pciutils-ids package
* Provide compat symlink

==== libgnomekbd ====
Version update (3.26.0 -> 3.26.1)
Subpackages: libgnomekbd-lang

- Update to version 3.26.1:
+ Fix build with new GLib.
+ Updated translations.

==== makedumpfile ====
Version update (1.6.4 -> 1.6.5)

- makedumpfile-ppc64-VA-range-SUSE.patch: Use correct l3 index size
with SLE15-SP1 ppc64le kernels (bsc#1123015).
- Update to 1.6.5
* Improve support for arm64 system with KASLR
* Support kernels up to 4.19.4

==== python-paramiko ====

- add empty line after %autopatch: build fails up to 42.3 otherwise
- drop python-pytest_relaxed dependency
- add patches:
1311.patch - fix warnings
1379.patch - fix support for gssapi
relaxed.patch - remove unnecessary pytest_relaxed dep
- remove patch:
disable-gssapi.patch - supersseded

==== yast2-storage-ng ====
Version update (4.1.53 -> 4.1.59)

- Force mocking arch to x86_64 for unit tests that depend on bcache
(part of jsc#SLE-4329)
- 4.1.59
- Limit bcache support to x86_64 arch (jsc#SLE-4329)
- 4.1.58
- Guided Setup: improved the disk selection user interface to
properly support scenarios with many disks (bsc#1123688).
- 4.1.57
- AutoYaST: save device_order for MD RAIDs (bsc#1083542)
- 4.1.56
- AutoYaST: fix broken support for retaining existing MD RAIDs in
some scenarios (bsc#1120979, bsc#1121720).
- 4.1.55
- Partitioner: allow to create bcache devices without a caching
set (part of fate#325346).
- 4.1.54


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups